Loading...
Searching...
No Matches
juce::OpenGLPixelFormat Class Reference

## Detailed Description

Represents the various properties of an OpenGL pixel format.

See also
  OpenGLContext::setPixelFormat

The documentation for this class was generated from the following file:

- juce_opengl/opengl/juce_OpenGLPixelFormat.h

## Public Member Functions

| OpenGLPixelFormat (int bitsPerRGBComponent=8, int alphaBits=8, int depthBufferBits=16, int stencilBufferBits=0) noexcept
| Creates an OpenGLPixelFormat.
bool | operator== (const OpenGLPixelFormat &) const noexcept
bool | operator!= (const OpenGLPixelFormat &) const noexcept

## Public Attributes

int | redBits
| The number of bits per pixel to use for the red channel.
int | greenBits
| The number of bits per pixel to use for the green channel.
int | blueBits
| The number of bits per pixel to use for the blue channel.
int | alphaBits
| The number of bits per pixel to use for the alpha channel.
int | depthBufferBits
| The number of bits per pixel to use for a depth buffer.
int | stencilBufferBits
| The number of bits per pixel to use for a stencil buffer.
int | accumulationBufferRedBits
| The number of bits per pixel to use for an accumulation buffer's red channel.
int | accumulationBufferGreenBits
| The number of bits per pixel to use for an accumulation buffer's green channel.
int | accumulationBufferBlueBits
| The number of bits per pixel to use for an accumulation buffer's blue channel.
int | accumulationBufferAlphaBits
| The number of bits per pixel to use for an accumulation buffer's alpha channel.
uint8 | multisamplingLevel
| The number of samples to use for full-scene multisampled anti-aliasing (if available).

## Constructors and Destructors

## OpenGLPixelFormat()

juce::OpenGLPixelFormat::OpenGLPixelFormat | ( | int | bitsPerRGBComponent = 8,
|  | int | alphaBits = 8,
|  | int | depthBufferBits = 16,
|  | int | stencilBufferBits = 0 )

noexcept

Creates an OpenGLPixelFormat.

The default constructor just initialises the object as a simple 8-bit RGBA format.

References alphaBits, depthBufferBits, and stencilBufferBits.

Referenced by operator!=(), and operator==().

## Member Functions

## operator==()

bool juce::OpenGLPixelFormat::operator== | ( | const OpenGLPixelFormat & |  | ) | const

noexcept

References OpenGLPixelFormat().

## operator!=()

bool juce::OpenGLPixelFormat::operator!= | ( | const OpenGLPixelFormat & |  | ) | const

noexcept

References OpenGLPixelFormat().

## Member Data Documentation

## redBits

int juce::OpenGLPixelFormat::redBits

The number of bits per pixel to use for the red channel.

## greenBits

int juce::OpenGLPixelFormat::greenBits

The number of bits per pixel to use for the green channel.

## blueBits

int juce::OpenGLPixelFormat::blueBits

The number of bits per pixel to use for the blue channel.

## alphaBits

int juce::OpenGLPixelFormat::alphaBits

The number of bits per pixel to use for the alpha channel.

Referenced by OpenGLPixelFormat().

## depthBufferBits

int juce::OpenGLPixelFormat::depthBufferBits

The number of bits per pixel to use for a depth buffer.

Referenced by OpenGLPixelFormat().

## stencilBufferBits

int juce::OpenGLPixelFormat::stencilBufferBits

The number of bits per pixel to use for a stencil buffer.

Referenced by OpenGLPixelFormat().

## accumulationBufferRedBits

int juce::OpenGLPixelFormat::accumulationBufferRedBits

The number of bits per pixel to use for an accumulation buffer's red channel.

## accumulationBufferGreenBits

int juce::OpenGLPixelFormat::accumulationBufferGreenBits

The number of bits per pixel to use for an accumulation buffer's green channel.

## accumulationBufferBlueBits

int juce::OpenGLPixelFormat::accumulationBufferBlueBits

The number of bits per pixel to use for an accumulation buffer's blue channel.

## accumulationBufferAlphaBits

int juce::OpenGLPixelFormat::accumulationBufferAlphaBits

The number of bits per pixel to use for an accumulation buffer's alpha channel.

## multisamplingLevel

uint8 juce::OpenGLPixelFormat::multisamplingLevel

The number of samples to use for full-scene multisampled anti-aliasing (if available).

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited